# $Revision: 1.24 $, $Date: 2002/10/23 10:36:58 $
Summary:	Small FTP server
Summary(pl):	May serwer FTP
Name:		bftpd
Version:	1.0.22
Release:	2
License:	GPL
Group:		Daemons
Source0:	http://bftpd.sourceforge.net/downloads/src/%{name}-%{version}.tar.gz
Source1:	%{name}.inetd
Source2:	%{name}.conf
Source3:	ftpusers.tar.bz2
URL:		http://www.bftpd.org/
Patch0:		%{name}-NOROOT.patch
BuildRequires:	autoconf
Requires:	inetdaemon
Prereq:		rc-inetd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Provides:	ftpserver
Obsoletes:	ftpserver
Obsoletes:	anonftp
Obsoletes:	ftpd-BSD
Obsoletes:	heimdal-ftpd
Obsoletes:	linux-ftpd
Obsoletes:	muddleftpd
Obsoletes:	proftpd
Obsoletes:	proftpd-common
Obsoletes:	proftpd-inetd
Obsoletes:	proftpd-standalone
Obsoletes:	pure-ftpd
Obsoletes:	troll-ftpd
Obsoletes:	vsftpd
Obsoletes:	wu-ftpd
Conflicts:	man-pages < 1.51

%description
bftpd is a Linux FTP server with chroot and setreuid. Not all FTP
commands are included. It doesn't need special home directory
preparation and accesses either the user's home directory or its .ftp
subdirectory, and user authentication is via passwd/shadow or PAM.

%description -l pl
bftpd jest linuksowym serwerem FTP z chroot i setreuid. Nie wszystkie
komendy FTP s dostpne. Nie wymaga specjalnego katalogu domowego i
dostpu poza katalogiem domowym uytkownika i podkatalogiem .ftp.
Autoryzacja uytkownikw poprzez passwd/shadow lub PAM.

%prep
%setup -q
%patch0 -p1

%build
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_prefix}{/sbin,/share/man/man8},/etc/sysconfig/rc-inetd,/home/services/ftp}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

#install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/ftp
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/rc-inetd/ftpd
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}

bzip2 -dc %{SOURCE3} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd restart 1>&2
else
	echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start inet server" 1>&2
fi

%postun
if [ "$1" = "0" -a -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd restart
fi

%files
%defattr(644,root,root,755)
%doc CHANGELOG
%doc %lang(en) doc/en/*.{html,txt}
%doc %lang(pl) doc/pl/*.{html,txt}
%attr(755,root,root) %{_sbindir}/*
#%attr(640,root,root) /etc/pam.d/ftp
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}.conf
%attr(640,root,root) %config /etc/sysconfig/rc-inetd/ftpd
%dir %attr(555,ftp,ftp) /home/services/ftp

%{_mandir}/man8/*
%lang(ja) %{_mandir}/ja/man5/ftpusers*
%lang(pl) %{_mandir}/pl/man5/ftpusers*
%lang(pt_BR) %{_mandir}/pt_BR/man5/ftpusers*
%lang(ru) %{_mandir}/ru/man5/ftpusers*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: bftpd.spec,v $
Revision 1.24  2002/10/23 10:36:58  ankry
- fixed path in ftpusers.5 man page; rel. 2

Revision 1.23  2002/07/14 18:46:40  blues
- 1.0.22
- more docs
- bftpd.conf rewritten
- move to /home/services

Revision 1.22  2002/07/14 18:10:02  blues
- new URLs

Revision 1.21  2002/06/10 00:16:37  ankry
- added ftpusers(5) man pages
- Conflicts: man-pages < 1.51
- release 3

Revision 1.20  2002/06/05 18:49:32  kloczek
- use new %doc.

Revision 1.19  2002/06/01 10:28:16  qboosh
- Obsoletes: proftpd-*, vsftpd
- release 2

Revision 1.18  2002/05/21 23:12:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.17  2002/04/25 15:52:44  arturs
fixed a small typo

Revision 1.16  2002/02/23 01:33:37  kloczek
- adapterized.

Revision 1.15  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/01/18 20:13:28  qboosh
- standarized changelog preample

Revision 1.13  2001/10/11 12:06:07  qboosh
- BuildRequires: autoconf; Obsoletes: muddleftpd

Revision 1.12  2001/08/25 11:53:19  filon
- added using autoconf, ac 2.5 ready

Revision 1.11  2001/07/28 21:37:29  blues
- typo: %s/sever"/server"/

Revision 1.10  2001/07/26 05:42:04  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.8  2001/07/20 20:37:19  migo
- s/linuxow/linuksow/

Revision 1.7  2001/04/07 20:57:23  areq
- 1.0.18

Revision 1.6  2001/03/02 16:00:35  mis
- updated (by autoup) to 1.0.17

Revision 1.5  2001/01/28 02:49:06  kloczek
- added heimdal-ftpd to Obsoletes.

Revision 1.4  2001/01/28 02:47:50  kloczek
- added proftpd to Obsoletes.

Revision 1.3  2001/01/28 02:45:04  kloczek
- added pure-ftpd to Obsoletes,
- Reqires for rc-inetd changed to Prereq.

Revision 1.2  2001/01/28 00:08:07  areq
- 1.0.16

Revision 1.1  2001/01/14 12:57:28  undefine
- Initial PLD version
